#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	int n,sum,p;
	p=0;
	cin>>n;
	for(int i=1;i<n;++i)
	{
		sum=0;
		for(int j=i;j<=n;++j)
		{
			sum+=j;
			if(sum==n)
			{
				for(int k=i;k<=j;++k)
				{
					cout<<k<<" ";
				
				}	cout<<endl;
				p=1;
				break;
				
			}
			if(sum>n)
			break;
		}
		
			
	}
	if(p==0)
	cout<<"none";
	
	
	
	return 0;
}
